Fuel transfer fails after undock/dock when root part is on side with less mass
Description

Fuel transfer fails when the root part of the ship is on the side with less mass before undock.

After undocking and redocking (to same ship or another ship), right-click on fuel tanks to start transfer shows in/out on the unaffected
ship, but not on the affected ship. Clicking the in/out on the unaffected ship does not move fuel to or from the affected ship. Other
resource transfers (e.g. electricity) work normally.

Clearing the "Resource transfer follows crossfeed rules" option allows the transfer to work.

The attached files demonstrate the issue. To replicate:

1) Deploy "Bad Crossfeed" on the runway

2) Undock and redock

3) Attempt fuel transfer across dock

The lighter side from "Bad Crossfeed" will not transfer fuel after docking. The heavier side transfers normally.

The "Good Crossfeed" craft has same parts, but the root part is on the side of the dock with more mass. Changing the root to the
other side of the dock makes "Good Crossfeed" bad, and "Bad Crossfeed" good.

This is tested on KSP 1.2.0.1586 64-bit on Windows 10.

History

#1 - 10/19/2016 12:05 AM - ayecee

| get an "Internal Server Error" when | try to attach either the craft files, or a zip containing them.

The craft is at follows, from the SPH perspective:

- Root is Octo

- On the right, a half-full Oscar tank and Z-200 battery
- On the left, a Jr. docking port

- Supported by 4 S2 powered wheels

The craft is mirrored on the other side of the port, with an extra 3 Oscar tanks.
I'll try uploading the .craft file again later to see if the problem is resolved.

#2 - 10/19/2016 01:03 PM - Lysius

Likely duplicate of 1.2 Pre-Release Bug #12244 (but the mass and root part information is new).
#4 - 10/19/2016 08:24 PM - ayecee
Further test shows that this doesn't happen if there's no probe core on the heavy side.

Also, when the ships are joined, the "good" combination has a probe core as the root node in the .sfs, while the "bad" combination has a docking port
as the root node. Don't know if it's relevant, but it indicates the ships end up structured differently.

#5 - 11/02/2016 06:33 AM - JPLRepo
- Status changed from New to Ready to Test

- Target version set to 1.2.1
- % Done changed from 0 to 80

#6 - 11/02/2016 08:27 AM - ayecee
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

With version 1.2.1.1604 from Steam, fuel transfer works as expected on both the test ship described above, and on the stranded ship that originally
prompted the bug report.

#7 - 11/03/2016 06:55 AM - JPLRepo

- Status changed from Resolved to Closed
